ControllerThreadSocketFactory.SocketTask (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.protocol.ControllerThreadSocketFactory.SocketTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient.protocol
Class ControllerThreadSocketFactory.SocketTask

    java.lang.Object
      org.apache.commons.httpclient.protocol.ControllerThreadSocketFactory.SocketTask

All Implemented Interfaces:
  Runnable

Enclosing class:
  ControllerThreadSocketFactory

    public abstract static class ControllerThreadSocketFactory.SocketTask

extends Object
implements Runnable

Helper class for wrapping socket based tasks.

Constructor Summary
`ControllerThreadSocketFactory.SocketTask()`

Method Summary
`abstract void` | `doit()` Perform the logic.
`protected Socket` | `getSocket()` Return the socket.
`void` | `run()` Execute the logic in this object and keep track of any exceptions.
`protected void` | `setSocket(Socket newSocket)` Set the socket.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerThreadSocketFactory.SocketTask

    public ControllerThreadSocketFactory.SocketTask()

Method Detail

### setSocket

    protected void setSocket(Socket newSocket)

  Set the socket.

  Parameters:
    `newSocket` - The new socket.

### getSocket

    protected Socket getSocket()

  Return the socket.

  Returns:
    Socket The socket.

### doit

    public abstract void doit()
                       throws IOException

  Perform the logic.

  Throws:
    `IOException` - If an IO problem occurs

### run

    public void run()

  Execute the logic in this object and keep track of any exceptions.

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.